# PCSPAISetNBSteps

set maximum number of improvement steps per row in the SPAI preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCSPAISetNBSteps(PC pc,int nbsteps1)

### Input Parameters

| pc | - the preconditioner
| n | - number of steps (default 5)

Notes: SPAI constructs to approximation to every column of the exact inverse of A in a series of improvement steps. The quality of the approximation is determined by epsilon. If an approximation achieving an accuracy of epsilon is not obtained after ns steps, SPAI simply uses the best approximation constructed so far.

### See Also

PCSPAI, PCSetType(), PCSPAISetMaxNew()

Level:intermediate
Location: src/ksp/pc/impls/spai/ispai.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages